﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace UpdateSubObject
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(Window1_Loaded);
        }
        public ObservableCollection<Employee> myEmployees;
        void Window1_Loaded(object sender, RoutedEventArgs e)
        {
            this.XamDataGrid1.FieldLayoutSettings.AutoGenerateFields = false;
            
           myEmployees= this.GetEmployees();
           this.XamDataGrid1.DataSource = myEmployees;
        }
        public ObservableCollection<Employee> GetEmployees()
        { 
            ObservableCollection<Employee> employees = new ObservableCollection<Employee>();
            for (int i = 0; i < 10; i++)
            {
                Employee e = new Employee(i, "Hi", true, DateTime.Now, 1, "on");
                employees.Add(e);
            }

            return employees; 
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            myEmployees[0].ReadyState.IsReady = !myEmployees[0].ReadyState.IsReady;
            myEmployees[0].EmployeeID = myEmployees[0].EmployeeID + 1;
        }
       
    }
}
